Ruby: parser_params Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
parser_params Struct Reference

## Data Fields
rb_imemo_tmpbuf_t * | heap
YYSTYPE * | lval
struct {
rb_strterm_t * strterm
VALUE(* gets )(struct parser_params *, VALUE)
VALUE input
VALUE prevline
VALUE lastline
VALUE nextline
const char * pbeg
const char * pcur
const char * pend
const char * ptok
union {
long ptr
VALUE(* call )(VALUE, int)
} gets_
enum lex_state_e state
int paren_nest
int lpar_beg
int brace_nest
} | lex
stack_type | cond_stack
stack_type | cmdarg_stack
int | tokidx
int | toksiz
int | tokline
int | heredoc_end
int | heredoc_indent
int | heredoc_line_indent
char * | tokenbuf
struct local_vars * | lvtbl
st_table * | pvtbl
st_table * | pktbl
int | line_count
int | ruby_sourceline
const char * | ruby_sourcefile
VALUE | ruby_sourcefile_string
rb_encoding * | enc
token_info * | token_info
VALUE | case_labels
VALUE | compile_option
VALUE | debug_buffer
VALUE | debug_output
ID | cur_arg
rb_ast_t * | ast
int | node_id
int | max_numparam
struct lex_context | ctxt
unsigned int | command_start:1
unsigned int | eofp: 1
unsigned int | ruby__end__seen: 1
unsigned int | debug: 1
unsigned int | has_shebang: 1
unsigned int | token_seen: 1
unsigned int | token_info_enabled: 1
unsigned int | error_p: 1
unsigned int | cr_seen: 1
unsigned int | do_print: 1
unsigned int | do_loop: 1
unsigned int | do_chomp: 1
unsigned int | do_split: 1
NODE * | eval_tree_begin
NODE * | eval_tree
VALUE | error_buffer
VALUE | debug_lines
const struct rb_iseq_struct * | parent_iseq
struct {
rb_strterm_t * strterm
VALUE(* gets )(struct parser_params *, VALUE)
VALUE input
VALUE prevline
VALUE lastline
VALUE nextline
const char * pbeg
const char * pcur
const char * pend
const char * ptok
union {
long ptr
VALUE(* call )(VALUE, int)
} gets_
enum lex_state_e state
int paren_nest
int lpar_beg
int brace_nest
} | lex

## Detailed Description

Definition at line 317 of file ripper.c.

## Field Documentation

## ◆ ast

rb_ast_t * parser_params::ast

Definition at line 371 of file ripper.c.

Referenced by yyparse().

## ◆ brace_nest

int parser_params::brace_nest

Definition at line 343 of file ripper.c.

Referenced by yyparse().

## ◆ call

VALUE(* parser_params::call) (VALUE, int)

Definition at line 335 of file ripper.c.

Referenced by rb_parser_compile_generic().

## ◆ case_labels

VALUE parser_params::case_labels

Definition at line 363 of file ripper.c.

Referenced by yyparse().

## ◆ cmdarg_stack

stack_type parser_params::cmdarg_stack

Definition at line 346 of file ripper.c.

Referenced by rb_parser_fatal().

## ◆ command_start

unsigned int parser_params::command_start

Definition at line 378 of file ripper.c.

Referenced by yyparse().

## ◆ compile_option

VALUE parser_params::compile_option

Definition at line 364 of file ripper.c.

## ◆ cond_stack

stack_type parser_params::cond_stack

Definition at line 345 of file ripper.c.

Referenced by rb_parser_fatal().

## ◆ cr_seen

unsigned int parser_params::cr_seen

Definition at line 389 of file ripper.c.

## ◆ ctxt

struct lex_context parser_params::ctxt

Definition at line 376 of file ripper.c.

Referenced by yyparse().

## ◆ cur_arg

ID parser_params::cur_arg

Definition at line 369 of file ripper.c.

Referenced by yyparse().

## ◆ debug

unsigned int parser_params::debug

Definition at line 381 of file ripper.c.

Referenced by rb_parser_fatal(), and rb_parser_set_yydebug().

## ◆ debug_buffer

VALUE parser_params::debug_buffer

Definition at line 366 of file ripper.c.

Referenced by rb_parser_printf().

## ◆ debug_lines

VALUE parser_params::debug_lines

Definition at line 402 of file ripper.c.

## ◆ debug_output

VALUE parser_params::debug_output

Definition at line 367 of file ripper.c.

Referenced by rb_parser_fatal(), rb_parser_get_debug_output(), rb_parser_printf(), rb_parser_set_debug_output(), rb_parser_show_bitstack(), and rb_parser_trace_lex_state().

## ◆ do_chomp

unsigned int parser_params::do_chomp

Definition at line 396 of file ripper.c.

Referenced by rb_parser_set_options().

## ◆ do_loop

unsigned int parser_params::do_loop

Definition at line 395 of file ripper.c.

Referenced by rb_parser_set_options().

## ◆ do_print

unsigned int parser_params::do_print

Definition at line 394 of file ripper.c.

Referenced by rb_parser_set_options().

## ◆ do_split

unsigned int parser_params::do_split

Definition at line 397 of file ripper.c.

Referenced by rb_parser_set_options().

## ◆ enc

rb_encoding * parser_params::enc

Definition at line 361 of file ripper.c.

Referenced by rb_parser_encoding(), and rb_reg_fragment_setenc().

## ◆ eofp

unsigned int parser_params::eofp

Definition at line 379 of file ripper.c.

## ◆ error_buffer

VALUE parser_params::error_buffer

Definition at line 401 of file ripper.c.

Referenced by rb_parser_set_context().

## ◆ error_p

unsigned int parser_params::error_p

Definition at line 388 of file ripper.c.

## ◆ eval_tree

NODE * parser_params::eval_tree

Definition at line 400 of file ripper.c.

Referenced by yyparse().

## ◆ eval_tree_begin

NODE * parser_params::eval_tree_begin

Definition at line 399 of file ripper.c.

Referenced by yyparse().

## ◆ gets

VALUE(* parser_params::gets) (struct parser_params *, VALUE)

Definition at line 324 of file ripper.c.

Referenced by rb_parser_compile_file_path(), and rb_parser_compile_generic().

## ◆ [1/2]

union { ... } parser_params::gets_

Referenced by rb_parser_compile_generic().

## ◆ [2/2]

union { ... } parser_params::gets_

## ◆ has_shebang

unsigned int parser_params::has_shebang

Definition at line 382 of file ripper.c.

## ◆ heap

rb_imemo_tmpbuf_t * parser_params::heap

Definition at line 318 of file ripper.c.

Referenced by rb_parser_free(), and rb_parser_realloc().

## ◆ heredoc_end

int parser_params::heredoc_end

Definition at line 350 of file ripper.c.

## ◆ heredoc_indent

int parser_params::heredoc_indent

Definition at line 351 of file ripper.c.

Referenced by yyparse().

## ◆ heredoc_line_indent

int parser_params::heredoc_line_indent

Definition at line 352 of file ripper.c.

Referenced by yyparse().

## ◆ input

VALUE parser_params::input

Definition at line 325 of file ripper.c.

Referenced by rb_parser_compile_file_path(), and rb_parser_compile_generic().

## ◆ lastline

VALUE parser_params::lastline

Definition at line 327 of file ripper.c.

## ◆ [1/2]

struct { ... } parser_params::lex

Referenced by rb_parser_compile_file_path(), rb_parser_compile_generic(), rb_parser_fatal(), rb_parser_set_location(), rb_parser_set_location_of_none(), and yyparse().

## ◆ [2/2]

struct { ... } parser_params::lex

## ◆ line_count

int parser_params::line_count

Definition at line 357 of file ripper.c.

## ◆ lpar_beg

int parser_params::lpar_beg

Definition at line 341 of file ripper.c.

Referenced by yyparse().

## ◆ lval

YYSTYPE * parser_params::lval

Definition at line 320 of file ripper.c.

## ◆ lvtbl

struct local_vars * parser_params::lvtbl

Definition at line 354 of file ripper.c.

## ◆ max_numparam

int parser_params::max_numparam

Definition at line 374 of file ripper.c.

Referenced by yyparse().

## ◆ nextline

VALUE parser_params::nextline

Definition at line 328 of file ripper.c.

## ◆ node_id

int parser_params::node_id

Definition at line 372 of file ripper.c.

## ◆ paren_nest

int parser_params::paren_nest

Definition at line 339 of file ripper.c.

Referenced by yyparse().

## ◆ parent_iseq

const struct rb_iseq_struct * parser_params::parent_iseq

Definition at line 403 of file ripper.c.

Referenced by rb_parser_set_context().

## ◆ pbeg

const char* parser_params::pbeg

Definition at line 329 of file ripper.c.

Referenced by rb_parser_compile_file_path(), rb_parser_compile_generic(), rb_parser_set_location(), rb_parser_set_location_of_none(), and yyparse().

## ◆ pcur

const char* parser_params::pcur

Definition at line 330 of file ripper.c.

Referenced by rb_parser_compile_file_path(), rb_parser_compile_generic(), and rb_parser_set_location().

## ◆ pend

const char* parser_params::pend

Definition at line 331 of file ripper.c.

Referenced by rb_parser_compile_file_path(), and rb_parser_compile_generic().

## ◆ pktbl

st_table * parser_params::pktbl

Definition at line 356 of file ripper.c.

## ◆ prevline

VALUE parser_params::prevline

Definition at line 326 of file ripper.c.

## ◆ ptok

const char* parser_params::ptok

Definition at line 332 of file ripper.c.

Referenced by rb_parser_set_location(), rb_parser_set_location_of_none(), and yyparse().

## ◆ ptr

long parser_params::ptr

Definition at line 334 of file ripper.c.

## ◆ pvtbl

st_table * parser_params::pvtbl

Definition at line 355 of file ripper.c.

## ◆ ruby__end__seen

unsigned int parser_params::ruby__end__seen

Definition at line 380 of file ripper.c.

Referenced by rb_parser_end_seen_p().

## ◆ ruby_sourcefile

const char * parser_params::ruby_sourcefile

Definition at line 359 of file ripper.c.

Referenced by rb_parser_reg_compile().

## ◆ ruby_sourcefile_string

VALUE parser_params::ruby_sourcefile_string

Definition at line 360 of file ripper.c.

## ◆ ruby_sourceline

int parser_params::ruby_sourceline

Definition at line 358 of file ripper.c.

Referenced by rb_parser_reg_compile(), rb_parser_set_location(), and rb_parser_set_location_of_none().

## ◆ state

enum lex_state_e parser_params::state

Definition at line 337 of file ripper.c.

Referenced by rb_parser_fatal(), and yyparse().

## ◆ strterm

rb_strterm_t* parser_params::strterm

Definition at line 323 of file ripper.c.

Referenced by yyparse().

## ◆ token_info

token_info * parser_params::token_info

Definition at line 362 of file ripper.c.

Referenced by yyparse().

## ◆ token_info_enabled

unsigned int parser_params::token_info_enabled

Definition at line 384 of file ripper.c.

## ◆ token_seen

unsigned int parser_params::token_seen

Definition at line 383 of file ripper.c.

## ◆ tokenbuf

char * parser_params::tokenbuf

Definition at line 353 of file ripper.c.

## ◆ tokidx

int parser_params::tokidx

Definition at line 347 of file ripper.c.

## ◆ tokline

int parser_params::tokline

Definition at line 349 of file ripper.c.

Referenced by yyparse().

## ◆ toksiz

int parser_params::toksiz

Definition at line 348 of file ripper.c.

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c